#version 150

in vec3 Position;
in vec2 UV0;

uniform mat4 ModelViewMat;
uniform mat4 ProjMat;

out vec2 texCoord0;
out vec3 cornerTex1;
out vec3 cornerTex2;
out vec3 cornerTex3;

void main() {
    int id = gl_VertexID % 4;
    cornerTex1 = cornerTex2 = cornerTex3 = vec3(0);
    switch (id) {
        case 0: cornerTex1 = vec3(UV0.xy,1); break;
        case 1: cornerTex2 = vec3(UV0.xy,1); break;
        case 2: cornerTex3 = vec3(UV0.xy,1); break;
    }

    gl_Position = ProjMat * ModelViewMat * vec4(Position, 1.0);
    texCoord0 = UV0;
}
